import { TextInputChangeEvent, TextInputTabEvent } from '@platform/ui.text/lib/components/TextInput';
export declare type FormulaInputChange = TextInputChangeEvent;
export declare type FormulaInputTab = TextInputTabEvent & {
    isCancelled: boolean;
};
export declare type FormulaInputEvent = IFormulaInputChangeEvent | IFormulaInputTabEvent | IFormulaInputFocusEvent | ICodeMirrorFormulaBlurEvent;
export declare type IFormulaInputChangeEvent = {
    type: 'INPUT/formula/change';
    payload: FormulaInputChange;
};
export declare type IFormulaInputTabEvent = {
    type: 'INPUT/formula/tab';
    payload: FormulaInputTab;
};
export declare type IFormulaInputFocusEvent = {
    type: 'INPUT/formula/focus';
    payload: {};
};
export declare type ICodeMirrorFormulaBlurEvent = {
    type: 'INPUT/formula/blur';
    payload: {};
};
